Page MenuHomePhabricator

Connect Wikimedia Resource Center with landing page for new developers
Closed, ResolvedPublic

Description

The Wikimedia Resource Center in Meta is planning to offer a very visible link "For Developers". What final copy should this link have, and where should this link point to?

The Onboarding New Developers program is planning to update the documentation for new developers, and offer a landing page for newcomers visibly linked from the MediaWiki.org homepage.

We need to integrate these plans, assuring that we end up having one and only one landing page for newcomers, linked from different venues visited by potential new developers.

Event Timeline

Qgil created this task.Jun 30 2017, 6:49 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 30 2017, 6:49 AM
srishakatux added a comment.EditedJun 30 2017, 10:46 PM

Notes from meeting with Maria & James today:

  • Good idea to maintain a shared identity around our resources when it comes to portals. We could use existing or new templates of the Wikimedia resource center for the design of landing page for new developers
  • Whenever we are done, we contribute the landing page link to Wikimedia Resource Center
  • Documentation about the templates as shared by James is below:

The module that renders the pages themselves is here: https://meta.wikimedia.org/wiki/Module:Wikimedia_Resource_Center – including both a documentation page and function-level documentation.

Qgil triaged this task as Low priority.Jul 11 2017, 9:40 PM

@Aklapper @srishakatux do you think we should / could commit to this task in this quarter (if so, it needs to be assigned) or should we push it for the next quarter?

  • Good idea to maintain a shared identity around our resources when it comes to portals. We could use existing or new templates of the Wikimedia resource center for the design of landing page for new developers

Blocked on T169790: Make portable/generic version of WRC gadget/module code I'd say, if this is/was still wanted but currently this looks like different usecases to me.

Under m:WRC/For_developers#Software_Basics , I

We should likely distinguish the differences / remove items once T169599 has more progress as "more links" is not a solution but for the time being it's an improvement.

Aklapper changed the task status from Open to Stalled.Oct 14 2017, 7:24 PM

Stalled on T169599.

Aklapper closed this task as Resolved.Nov 24 2017, 5:57 PM
Aklapper moved this task from Ready to Go to November on the Developer-Advocacy (Oct-Dec 2017) board.

Scope of our pages is clearer now, and I'd say that the current items and descriptions on https://meta.wikimedia.org/wiki/Wikimedia_Resource_Center/For_developers#Software_Basics are fine:

How to become a MediaWiki hacker on MediaWiki.org

An article written to help developers contribute to MediaWiki core and MediaWiki extension development.

New Developers on MediaWiki.org

Choose a Wikimedia software project and let mentors help you with your first technical contributions to it.

I'd love to reorder these two items but I fail to understand how to do that.

Qgil awarded a token.Dec 4 2017, 1:41 PM